import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { SKAttributeType } from "./SKAttributeType.js";
export declare class _SKAttribute extends _NSObject {
    static alloc(): _SKAttribute;
    static new(): _SKAttribute;
    init(): _SKAttribute;
    static attributeWithName$type$(name: _NSString, type: SKAttributeType): _SKAttribute;
    initWithName$type$(name: _NSString, type: SKAttributeType): _SKAttribute;
    name(): _NSString;
    type(): SKAttributeType;
}
export interface _SKAttribute extends _NSSecureCoding {
}
